GlobPatternMatcher
Date: 2014-12-13

org.apache.ivy.plugins.matcher

## Class GlobPatternMatcher

- java.lang.Object
- - org.apache.ivy.plugins.matcher.AbstractPatternMatcher
  - - org.apache.ivy.plugins.matcher.GlobPatternMatcher

- All Implemented Interfaces:
    PatternMatcher

      public final class GlobPatternMatcher
      extends AbstractPatternMatcher

  A pattern matcher matching input using unix-like glob matcher expressions. Meta characters are:
  - * - Matches zero or more characters
  - ? - Matches exactly one character.

  Note that this matcher is available only with in your classpath.
  See Also:
    GlobCompiler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GlobPatternMatcher` | `INSTANCE`

    - ### Fields inherited from interface org.apache.ivy.plugins.matcher.PatternMatcher

      `ANY_EXPRESSION, EXACT, EXACT_OR_REGEXP, GLOB, REGEXP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobPatternMatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Matcher` | `newMatcher(java.lang.String expression)` Returns an instance of the implementation specific matcher.

    - ### Methods inherited from class org.apache.ivy.plugins.matcher.AbstractPatternMatcher

      `getMatcher, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final GlobPatternMatcher INSTANCE

  - ### Constructor Detail

    - #### GlobPatternMatcher

          public GlobPatternMatcher()

  - ### Method Detail

    - #### newMatcher

          protected Matcher newMatcher(java.lang.String expression)

      Description copied from class: `AbstractPatternMatcher`
      Returns an instance of the implementation specific matcher.
      Specified by:
        `newMatcher` in class `AbstractPatternMatcher`
      Parameters:
        `expression` - the string to be matched.
      Returns:
        the instance of the related matcher. Never null.